<?php
$a = \S::get( 'a' );

if ( $a == 'article_image_delete' )
{
  $response = [ 'status' => 'error', 'msg' => 'Podczas usuwania zdjecia wystąpił błąd. Proszę spróbować ponownie.' ];
  
  if ( \admin\factory\Articles::delete_img( \S::get( 'image_id' ) ) )
    $response = [ 'status' => 'ok' ];
  
  echo json_encode( $response );
  exit;
}

if ( $a == 'article_file_delete' )
{
  $response = [ 'status' => 'error', 'msg' => 'Podczas usuwania załącznika wystąpił błąd. Proszę spróbować ponownie.' ];
  
  if ( \admin\factory\Articles::delete_file( \S::get( 'file_id' ) ) )
    $response = [ 'status' => 'ok' ];
  
  echo json_encode( $response );
  exit;
}

if ( $a == 'article_image_alt_change' )
{
  $response = [ 'status' => 'error', 'msg' => 'Podczas zmiany atrybutu alt zdjęcia wystąpił błąd. Proszę spróbować ponownie.' ];
  
  if ( \admin\factory\Articles::image_alt_change( \S::get( 'image_id' ), \S::get( 'image_alt' ) ) )
    $response = [ 'status' => 'ok' ];
  
  echo json_encode( $response );
  exit;
}

if ( $a == 'article_file_name_change' )
{
  $response = [ 'status' => 'error', 'msg' => 'Podczas zmiany nazwy załącznika wystąpił błąd. Proszę spróbować ponownie.' ];
  
  if ( \admin\factory\Articles::file_name_change( \S::get( 'file_id' ), \S::get( 'file_name' ) ) )
    $response = [ 'status' => 'ok' ];
  
  echo json_encode( $response );
  exit;
}

if ( $a == 'google_url_preview_article' )
{
  if ( \S::get( 'article_id' ) )
    echo $_SERVER['SERVER_NAME'] . '/a-' . \S::get( 'article_id' ) . '-' . \S::seo( \S::get( 'title' ) );
  else
    echo $_SERVER['SERVER_NAME'] . '/a-' . ( \S::max_db_value( 'pp_articles', 'id' ) + 1 ) . '-' . \S::seo( \S::get( 'title' ) );
}
